---
features:
  secondary:
  - name: "Searching for issues across groups is now twice as fast"
    available_in: [premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/search/advanced_search.html'
    reporter: JohnMcGuire
    stage: enablement
    categories:
    - Global Search
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/335825'
    description: |
      It could be slow to search across groups with many projects using Advanced Search. The slowness was caused by a lookup for each project in the group. Groups with many projects would take a long time to return results. 
      We now use inheritance, which makes [these searches perform twice as fast](https://gitlab.com/gitlab-org/gitlab/-/issues/335825#note_673548605).
